Package Gnumed :: Package CherryPy :: Module gmGuiWeb :: Class gmApp |
[frames] | no frames]

# Class gmApp

source code

Instance Methods
default(self, *args) | source code
services(self, *args, **kwargs) | source code
echo(self, text) | source code
reverse(self, text) | source code
uppercase(self, text) | source code
lowercase(self, text) | source code
get_schema_version(self) | source code
get_doc_types(self) | source code
doSomething(self) | source code
login(self, username=None, password=None, backend=None) | source code
doLogin(self, username=None, password=None, backend=None) | source code
index(self) | source code

Method Details

### default(self, *args) | source code
Decorators: `@cherrypy.expose`

### services(self, *args, **kwargs) | source code
Decorators: `@cherrypy.expose` `@cherrypy.tools.jsonrpchdl()`